Bug 1010655 - [Usability] It is possible to create cyclic async logging handler
[Usability] It is possible to create cyclic async logging handler
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Console (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: DR1
: EAP 6.3.0
Assigned To: Harald Pehl
Jakub Cechacek
Russell Dickenson
:
Depends On: 1066151
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-22 05:52 EDT by Jakub Cechacek
Modified: 2015-02-01 18:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-28 11:31:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker HAL-313 Major Resolved Prevent creation of cyclic async logging handlers 2014-02-26 05:19:03 EST

  None (edit)
Description Jakub Cechacek 2013-09-22 05:52:45 EDT
When creating sub-handler for async handler, the async handler itself should be excluded from given options. 

Current behavior:
Async handler itself is listed, model error is risen after sending the request 

Expected behavior:
Don't list the handler itself / Implement some sort of validation
Comment 1 JBoss JIRA Server 2014-01-28 06:23:11 EST
Harald Pehl <hpehl@redhat.com> updated the status of jira HAL-313 to Resolved
Comment 2 Jakub Cechacek 2014-02-26 05:23:02 EST
Verified 6.3.0.DR1

Note You need to log in before you can comment on or make changes to this bug.